const express = require('express');
const router = express.Router();
const { 
  getAllLiturgicalDays, 
  getLiturgicalDayNames, 
  loadLiturgicalYear,
  createLiturgicalDay,
  deleteLiturgicalDay 
} = require('../controllers/liturgicalDayController');
const authMiddleware = require('../middleware/authMiddleware');

router.get('/', getAllLiturgicalDays);
router.get('/names', getLiturgicalDayNames);
router.post('/load-year', authMiddleware, loadLiturgicalYear);
router.post('/', authMiddleware, createLiturgicalDay);
router.delete('/:id', authMiddleware, deleteLiturgicalDay);

module.exports = router;

